Subject: Re: FVWM: Does 'exec' need '&'?

From: [email-masked] (Mark B. Hamby)
Date: Wed, 1 Nov 1995 16:43:26 -0600

In reply to my question:
>
> One more question: Does the 'exec' builtin need a '&' at the end?
> This:		exec xterm &
> Or this:	exec xterm

Gail Mara Gurman replied (edited for brevity):
> From: [email-masked] (Gail Mara Gurman)
> 
> Personally, I think it's worth putting in the '&'. It can't hurt, can it?
> 
> However, this reminds me about a question I had. Do you need the "exec"? 
> I've been leaving it out with no problem. E.g.:
> 
> AddToMenu Games		"Boing" 	Exec xboing &
> +			"Doom"		Exec sunxdoom -2 &

I have tried all of the following methods and can see no difference.
Does anyone know the advantages/disadvantages of any of the following:

AddToMenu Games		"Boing" 	Exec exec xboing &
+			"Boing2" 	Exec xboing &
+			"Boing3" 	Exec xboing

I will use the last if I can not find an valid reason not to.

Thanks,

Mark Hamby
Logicon RDA

--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].